summaryrefslogtreecommitdiffstats
path: root/network/postfix/postfix.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/postfix/postfix.SlackBuild')
-rw-r--r--network/postfix/postfix.SlackBuild10
1 files changed, 8 insertions, 2 deletions
diff --git a/network/postfix/postfix.SlackBuild b/network/postfix/postfix.SlackBuild
index fede621f0a..6a4690fa87 100644
--- a/network/postfix/postfix.SlackBuild
+++ b/network/postfix/postfix.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
#
# Copyright 2006, 2011 Alan Hicks, Lizella, GA
-# Copyright 2010, 2011, 2013, 2014, 2015 Mario Preksavec, Zagreb, Croatia
+# Copyright 2010, 2011, 2013, 2014, 2015, 2016 Mario Preksavec, Zagreb, Croatia
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,7 +22,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=postfix
-VERSION=${VERSION:-3.0.3}
+VERSION=${VERSION:-3.1.1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -69,6 +69,12 @@ DATABASE=${DATABASE:-none}
case "$DATABASE" in
mysql) DBARGS="-I/usr/include/mysql -DHAS_MYSQL"
DBLIBS="-L/usr/lib${LIBDIRSUFFIX}/mysql -lmysqlclient -lz -lm" ;;
+ pgsql*) PGVER=${DATABASE/pgsql-}
+ [ "$PGVER" = "pgsql" ] && PGVER=$(ls /usr/lib${LIBDIRSUFFIX}/postgresql/)
+ [ -d "/usr/lib${LIBDIRSUFFIX}/postgresql/$PGVER/lib" ] && {
+ DBARGS="-I/usr/include/postgresql -DHAS_PGSQL"
+ DBLIBS="-L/usr/lib${LIBDIRSUFFIX}/postgresql/$PGVER/lib -lpq -lz -lm"
+ } || echo "PostgreSQL not found" ;;
*) DBARGS=""
DBLIBS="" ;;
esac